scala.collection.GenSeqViewLike

# FlatMapped

#### trait FlatMapped[B] extends FlatMapped[B] with Transformed[B]

Definition Classes
  GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike
Source
  GenSeqViewLike.scala

Linear Supertypes
Transformed[B], GenSeqView[B, Coll], GenSeqViewLike[B, Coll, GenSeqView[B, Coll]], GenSeq[B], GenSeqLike[B, GenSeqView[B, Coll]], Equals, FlatMapped[B], Transformed[B], GenIterableView[B, Coll], GenIterableViewLike[B, Coll, GenSeqView[B, Coll]], GenIterable[B], GenIterableLike[B, GenSeqView[B, Coll]], FlatMapped[B], Transformed[B], GenTraversableView[B, Coll], GenTraversableViewLike[B, Coll, GenSeqView[B, Coll]], GenTraversable[B], GenericTraversableTemplate[B, GenSeq], HasNewBuilder[B, GenSeq[B]], GenTraversableLike[B, GenSeqView[B, Coll]], Parallelizable[B, ParSeq[B]], GenTraversableOnce[B], AnyRef, Any
Known Subclasses
FlatMapped, FlatMapped
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. FlatMapped
2. Transformed
3. GenSeqView
4. GenSeqViewLike
5. GenSeq
6. GenSeqLike
7. Equals
8. FlatMapped
9. Transformed
10. GenIterableView
11. GenIterableViewLike
12. GenIterable
13. GenIterableLike
14. FlatMapped
15. Transformed
16. GenTraversableView
17. GenTraversableViewLike
18. GenTraversable
19. GenericTraversableTemplate
20. HasNewBuilder
21. GenTraversableLike
22. Parallelizable
23. GenTraversableOnce
24. AnyRef
25. Any

Visibility

1. Public
2. All

### Type Members

1. #### trait Appended[B >: A] extends Appended[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

2. #### trait DroppedWhile extends DroppedWhile with Transformed[A]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

3. #### trait EmptyView extends Transformed[Nothing] with EmptyView

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

4. #### trait Filtered extends Filtered with Transformed[A]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

5. #### trait FlatMapped[B] extends FlatMapped[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

6. #### trait Forced[B] extends Forced[B] with Transformed[B]

   A fall back which forces everything into a vector and then applies an operation on it.

7. #### trait Mapped[B] extends Mapped[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

8. #### trait Patched[B >: A] extends Transformed[B]

9. #### trait Prepended[B >: A] extends Transformed[B]

10. #### trait Reversed extends Transformed[A]

11. #### trait Sliced extends Sliced with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

12. #### trait TakenWhile extends TakenWhile with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

13. #### trait Transformed[+B] extends GenSeqView[B, Coll] with Transformed[B]

    The implementation base trait of this view.

14. #### trait Zipped[B] extends Zipped[B] with Transformed[(A, B)]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike

15. #### trait ZippedAll[A1 >: A, B] extends ZippedAll[A1, B] with Transformed[(A1, B)]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike

### Abstract Value Members

1. #### abstract def ++[B >: B, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

   Returns a new general sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new general sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the general sequence is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this general sequence followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

2. #### abstract def +:[B >: B, That](elem: B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

   A copy of the general sequence with an element prepended.

   A copy of the general sequence with an element prepended.

   Note that :-ending operators are right associative (see example). Also, the original general sequence is not modified, so you will want to capture the result.

   Example:

            scala> val x = LinkedList(1)
            x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

            scala> val y = 2 +: x
            y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

            scala> println(x)
            LinkedList(1)

   B

     the element type of the returned general sequence.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   elem

     the prepended element

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` consisting of `elem` followed by all elements of this general sequence.

   Definition Classes
     GenSeqLike

3. #### abstract def /:[B](z: B)(op: (B, B) ⇒ B): B

   Applies a binary operator to a start value and all elements of this general sequence, going left to right.

   Applies a binary operator to a start value and all elements of this general sequence, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

            scala> val a = LinkedList(1,2,3,4)
            a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

            scala> val b = (5 /: a)(_+_)
            b: Int = 15

            scala> val c = (5 /: a)((x,y) => x + y)
            c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this general sequence, going left to right with the start value `z` on the left:

                     op(...op(op(z, x1), x2), ..., xn)

     where `x1, ..., xn` are the elements of this general sequence.

   Definition Classes
     GenTraversableOnce

4. #### abstract def :+[B >: B, That](elem: B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

   A copy of this general sequence with an element appended.

   A copy of this general sequence with an element appended.

   Note: will not terminate for infinite-sized collections.

   B

     the element type of the returned general sequence.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   elem

     the appended element

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` consisting of all elements of this general sequence followed by `elem`.

   Definition Classes
     GenSeqLike

5. #### abstract def :\[B](z: B)(op: (B, B) ⇒ B): B

   Applies a binary operator to all elements of this general sequence and a start value, going right to left.

   Applies a binary operator to all elements of this general sequence and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

            scala> val a = LinkedList(1,2,3,4)
            a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

            scala> val b = (a :\ 5)(_+_)
            b: Int = 15

            scala> val c = (a :\ 5)((x,y) => x + y)
            c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this general sequence, going right to left with the start value `z` on the right:

                     op(x1, op(x2, ... op(xn, z)...))

     where `x1, ..., xn` are the elements of this general sequence.

   Definition Classes
     GenTraversableOnce

6. #### abstract def aggregate[B](z: B)(seqop: (B, B) ⇒ B, combop: (B, B) ⇒ B): B

   Aggregates the results of applying an operator to subsequent elements.

   Aggregates the results of applying an operator to subsequent elements.

   This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

   For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

          pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

   Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

   B

     the type of accumulated results

   z

     the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

   seqop

     an operator used to accumulate results within a partition

   combop

     an associative operator used to combine results from different partitions

   Definition Classes
     GenTraversableOnce

7. #### abstract def canEqual(that: Any): Boolean

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

   that

     the value being probed for possible equality

   returns

     true if this instance can possibly equal `that`, otherwise false

   Definition Classes
     Equals

8. #### abstract def collect[B, That](pf: PartialFunction[B, B])(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

   Builds a new collection by applying a partial function to all elements of this general sequence on which the function is defined.

   Builds a new collection by applying a partial function to all elements of this general sequence on which the function is defined.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   pf

     the partial function which filters and maps the general sequence.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

   Definition Classes
     GenTraversableLike

9. #### abstract def copyToArray[B >: B](xs: Array[B], start: Int, len: Int): Unit

   Definition Classes
     GenTraversableOnce

10. #### abstract def copyToArray[B >: B](xs: Array[B], start: Int): Unit

    Copies values of this general sequence to an array.

    Copies values of this general sequence to an array. Fills the given array `xs` with values of this general sequence, beginning at index `start`. Copying will stop once either the end of the current general sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

11. #### abstract def copyToArray[B >: B](xs: Array[B]): Unit

    Copies values of this general sequence to an array.

    Copies values of this general sequence to an array. Fills the given array `xs` with values of this general sequence. Copying will stop once either the end of the current general sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

12. #### abstract def corresponds[B](that: GenSeq[B])(p: (B, B) ⇒ Boolean): Boolean

    Tests whether every element of this general sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this general sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this general sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      GenSeqLike

13. #### abstract def count(p: (B) ⇒ Boolean): Int

    Counts the number of elements in the general sequence which satisfy a predicate.

    Counts the number of elements in the general sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      GenTraversableOnce

14. #### abstract def diff[B >: B](that: GenSeq[B]): GenSeqView[B, Coll]

    Computes the multiset difference between this general sequence and another sequence.

    Computes the multiset difference between this general sequence and another sequence.

    Note: will not terminate for infinite-sized collections.

    B

      the element type of the returned general sequence.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this general sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      GenSeqLike

15. #### abstract def distinct: GenSeqView[B, Coll]

    Builds a new general sequence from this general sequence without any duplicate elements.

    Builds a new general sequence from this general sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new general sequence which contains the first occurrence of every element of this general sequence.

    Definition Classes
      GenSeqLike

16. #### abstract def drop(n: Int): GenSeqView[B, Coll]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this general sequence.

    returns

      a general sequence consisting of all elements of this general sequence except the first `n` ones, or else the empty general sequence, if this general sequence has less than `n` elements.

    Definition Classes
      GenTraversableLike

17. #### abstract def dropWhile(pred: (B) ⇒ Boolean): GenSeqView[B, Coll]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this general sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

18. #### abstract def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this general sequence ends with the given sequence.

    Tests whether this general sequence ends with the given sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this general sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      GenSeqLike

19. #### abstract def exists(pred: (B) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

20. #### abstract def filter(pred: (B) ⇒ Boolean): GenSeqView[B, Coll]

    Selects all elements of this general sequence which satisfy a predicate.

    Selects all elements of this general sequence which satisfy a predicate.

    returns

      a new general sequence consisting of all elements of this general sequence that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

21. #### abstract def filterNot(pred: (B) ⇒ Boolean): GenSeqView[B, Coll]

    Selects all elements of this general sequence which do not satisfy a predicate.

    Selects all elements of this general sequence which do not satisfy a predicate.

    returns

      a new general sequence consisting of all elements of this general sequence that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

22. #### abstract def find(pred: (B) ⇒ Boolean): Option[B]

    Finds the first element of the general sequence satisfying a predicate, if any.

    Finds the first element of the general sequence satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      an option value containing the first element in the general sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      GenTraversableOnce

23. #### abstract def flatMap[B, That](f: (B) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Builds a new collection by applying a function to all elements of this general sequence and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this general sequence and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of general sequence. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this general sequence and concatenating the results.

    Definition Classes
      GenTraversableLike

24. #### abstract def fold[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this general sequence using the specified associative binary operator.

    Folds the elements of this general sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      GenTraversableOnce

25. #### abstract def foldLeft[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to a start value and all elements of this general sequence, going left to right.

    Applies a binary operator to a start value and all elements of this general sequence, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general sequence, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this general sequence.

    Definition Classes
      GenTraversableOnce

26. #### abstract def foldRight[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this general sequence and a start value, going right to left.

    Applies a binary operator to all elements of this general sequence and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general sequence, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this general sequence.

    Definition Classes
      GenTraversableOnce

27. #### abstract def forall(pred: (B) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

28. #### abstract def force[B >: B, That](implicit bf: CanBuildFrom[Coll, B, That]): That

    Definition Classes
      GenTraversableViewLike

29. #### abstract def groupBy[K](f: (B) ⇒ K): GenMap[K, GenSeqView[B, Coll]]

    Partitions this general sequence into a map of general sequences according to some discriminator function.

    Partitions this general sequence into a map of general sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new general sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to general sequences such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a general sequence of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      GenTraversableLike

30. #### abstract def hasDefiniteSize: Boolean

    Definition Classes
      GenTraversableOnce

31. #### abstract def indexWhere(p: (B) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

32. #### abstract def intersect[B >: B](that: GenSeq[B]): GenSeqView[B, Coll]

    Computes the multiset intersection between this general sequence and another sequence.

    Computes the multiset intersection between this general sequence and another sequence.

    Note: may not terminate for infinite-sized collections.

    B

      the element type of the returned general sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new collection of type `That` which contains all elements of this general sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      GenSeqLike

33. #### abstract def lastIndexWhere(p: (B) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

34. #### abstract def map[B, That](f: (B) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Builds a new collection by applying a function to all elements of this general sequence.

    Builds a new collection by applying a function to all elements of this general sequence.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this general sequence and collecting the results.

    Definition Classes
      GenTraversableLike

35. #### abstract val mapping: (A) ⇒ GenTraversableOnce[B]

    Attributes
      protected[this]
    Definition Classes
      FlatMapped

36. #### abstract def max[A1 >: B](implicit ord: Ordering[A1]): B

    Finds the largest element.

    Finds the largest element.

    returns

      the largest element of this general sequence with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

37. #### abstract def maxBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

    Definition Classes
      GenTraversableOnce

38. #### abstract def min[A1 >: B](implicit ord: Ordering[A1]): B

    Finds the smallest element.

    Finds the smallest element.

    returns

      the smallest element of this general sequence with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

39. #### abstract def minBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

    Definition Classes
      GenTraversableOnce

40. #### abstract def mkString: String

    Displays all elements of this general sequence in a string.

    Displays all elements of this general sequence in a string.

    returns

      a string representation of this general sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general sequence follow each other without any separator string.

    Definition Classes
      GenTraversableOnce

41. #### abstract def mkString(sep: String): String

    Displays all elements of this general sequence in a string using a separator string.

    Displays all elements of this general sequence in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this general sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general sequence are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

42. #### abstract def mkString(start: String, sep: String, end: String): String

    Displays all elements of this general sequence in a string using start, end, and separator strings.

    Displays all elements of this general sequence in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this general sequence. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this general sequence are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

43. #### abstract def nonEmpty: Boolean

    Tests whether the general sequence is not empty.

    Tests whether the general sequence is not empty.

    returns

      `true` if the general sequence contains at least one element, `false` otherwise.

    Definition Classes
      GenTraversableOnce

44. #### abstract def padTo[B >: B, That](len: Int, elem: B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    A copy of this general sequence with an element value appended until a given target length is reached.

    A copy of this general sequence with an element value appended until a given target length is reached.

    B

      the element type of the returned general sequence.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    len

      the target length

    elem

      the padding value

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` consisting of all elements of this general sequence followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

    Definition Classes
      GenSeqLike

45. #### abstract def parCombiner: Combiner[B, ParSeq[B]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Parallelizable

46. #### abstract def partition(pred: (B) ⇒ Boolean): (GenSeqView[B, Coll], GenSeqView[B, Coll])

    Partitions this general sequence in two general sequences according to a predicate.

    Partitions this general sequence in two general sequences according to a predicate.

    returns

      a pair of general sequences: the first general sequence consists of all elements that satisfy the predicate `p` and the second general sequence consists of all elements that don't. The relative order of the elements in the resulting general sequences may not be preserved.

    Definition Classes
      GenTraversableLike

47. #### abstract def patch[B >: B, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Produces a new general sequence where a slice of elements in this general sequence is replaced by another sequence.

    Produces a new general sequence where a slice of elements in this general sequence is replaced by another sequence.

    B

      the element type of the returned general sequence.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    from

      the index of the first replaced element

    patch

      the replacement sequence

    replaced

      the number of elements to drop in the original general sequence

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new general sequence consisting of all elements of this general sequence except that `replaced` elements starting from `from` are replaced by `patch`.

    Definition Classes
      GenSeqLike

48. #### abstract def product[A1 >: B](implicit num: Numeric[A1]): A1

    Multiplies up the elements of this collection.

    Multiplies up the elements of this collection.

    num

      an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

    returns

      the product of all elements of this general sequence with respect to the `*` operator in `num`.

    Definition Classes
      GenTraversableOnce

49. #### abstract def reduce[A1 >: B](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this general sequence using the specified associative binary operator.

    Reduces the elements of this general sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the general sequence is nonempty.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this general sequence is empty.

50. #### abstract def reduceLeftOption[B >: B](op: (B, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general sequence, going left to right.

    Optionally applies a binary operator to all elements of this general sequence, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this general sequence is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

51. #### abstract def reduceOption[A1 >: B](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this general sequence, if any, using the specified associative binary operator.

    Reduces the elements of this general sequence, if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      GenTraversableOnce

52. #### abstract def reduceRight[B >: B](op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this general sequence, going right to left.

    Applies a binary operator to all elements of this general sequence, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general sequence, going right to left:

                      op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

      where `x1, ..., xn` are the elements of this general sequence.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      `UnsupportedOperationException`

      if this general sequence is empty.

53. #### abstract def reduceRightOption[B >: B](op: (B, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general sequence, going right to left.

    Optionally applies a binary operator to all elements of this general sequence, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this general sequence is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

54. #### abstract def repr: GenSeqView[B, Coll]

    Definition Classes
      GenTraversableLike

55. #### abstract def reverse: GenSeqView[B, Coll]

    Returns new general sequence wih elements in reversed order.

    Returns new general sequence wih elements in reversed order.

    Note: will not terminate for infinite-sized collections.

    returns

      A new general sequence with all elements of this general sequence in reversed order.

    Definition Classes
      GenSeqLike

56. #### abstract def reverseMap[B, That](f: (B) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Builds a new collection by applying a function to all elements of this general sequence and collecting the results in reversed order.

    Builds a new collection by applying a function to all elements of this general sequence and collecting the results in reversed order.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this general sequence and collecting the results in reversed order.

    Definition Classes
      GenSeqLike

57. #### abstract def sameElements[A1 >: B](that: GenIterable[A1]): Boolean

    Checks if the other iterable collection contains the same elements in the same order as this general sequence.

    Checks if the other iterable collection contains the same elements in the same order as this general sequence.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Note: will not terminate for infinite-sized collections.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      GenIterableLike

58. #### abstract def scan[B >: B, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Computes a prefix scan of the elements of the collection.

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    B

      element type of the resulting collection

    That

      type of the resulting collection

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    cbf

      combiner factory which provides a combiner

    returns

      a new general sequence containing the prefix scan of the elements in this general sequence

    Definition Classes
      GenTraversableLike

59. #### abstract def scanLeft[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Produces a collection containing cummulative results of applying the operator going left to right.

    Produces a collection containing cummulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike

60. #### abstract def scanRight[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Produces a collection containing cummulative results of applying the operator going right to left.

    Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

           List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

61. #### abstract def segmentLength(p: (B) ⇒ Boolean, from: Int): Int

    Computes length of longest segment whose elements all satisfy some predicate.

    Computes length of longest segment whose elements all satisfy some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the index where the search starts.

    returns

      the length of the longest segment of this general sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

    Definition Classes
      GenSeqLike

62. #### abstract def seq: Seq[B]

    Definition Classes
      GenSeq → GenIterable → GenTraversable → Parallelizable → GenTraversableOnce

63. #### abstract def size: Int

    The size of this general sequence.

    The size of this general sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this general sequence.

    Definition Classes
      GenTraversableLike → GenTraversableOnce

64. #### abstract def slice(unc_from: Int, unc_until: Int): GenSeqView[B, Coll]

    Selects an interval of elements.

    Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

           from <= indexOf(x) < until

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this general sequence.

    Definition Classes
      GenTraversableLike

65. #### abstract def span(pred: (B) ⇒ Boolean): (GenSeqView[B, Coll], GenSeqView[B, Coll])

    Splits this general sequence into a prefix/suffix pair according to a predicate.

    Splits this general sequence into a prefix/suffix pair according to a predicate.

    Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a pair consisting of the longest prefix of this general sequence whose elements all satisfy `p`, and the rest of this general sequence.

    Definition Classes
      GenTraversableLike

66. #### abstract def splitAt(n: Int): (GenSeqView[B, Coll], GenSeqView[B, Coll])

    Splits this general sequence into two at a given position.

    Splits this general sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the position at which to split.

    returns

      a pair of general sequences consisting of the first `n` elements of this general sequence, and the other elements.

    Definition Classes
      GenTraversableLike

67. #### abstract def startsWith[B](that: GenSeq[B], offset: Int): Boolean

    Tests whether this general sequence contains the given sequence at a given index.

    Tests whether this general sequence contains the given sequence at a given index.

    If the both the receiver object, `this` and the argument, `that` are infinite sequences this method may not terminate.

    that

      the sequence to test

    offset

      the index where the sequence is searched.

    returns

      `true` if the sequence `that` is contained in this general sequence at index `offset`, otherwise `false`.

    Definition Classes
      GenSeqLike

68. #### abstract def sum[A1 >: B](implicit num: Numeric[A1]): A1

    Sums up the elements of this collection.

    Sums up the elements of this collection.

    num

      an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

    returns

      the sum of all elements of this general sequence with respect to the `+` operator in `num`.

    Definition Classes
      GenTraversableOnce

69. #### abstract def take(n: Int): GenSeqView[B, Coll]

    Selects first n elements.

    Selects first n elements.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      Tt number of elements to take from this general sequence.

    returns

      a general sequence consisting only of the first `n` elements of this general sequence, or else the whole general sequence, if it has less than `n` elements.

    Definition Classes
      GenTraversableLike

70. #### abstract def takeWhile(pred: (B) ⇒ Boolean): GenSeqView[B, Coll]

    Takes longest prefix of elements that satisfy a predicate.

    Takes longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest prefix of this general sequence whose elements all satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

71. #### abstract def toArray[A1 >: B](implicit arg0: ClassManifest[A1]): Array[A1]

    Converts this general sequence to an array.

    Converts this general sequence to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

72. #### abstract def toBuffer[A1 >: B]: Buffer[A1]

    Converts this general sequence to a mutable buffer.

    Converts this general sequence to a mutable buffer.

    Note: will not terminate for infinite-sized collections.

    returns

      a buffer containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

73. #### abstract def toIndexedSeq[A1 >: B]: IndexedSeq[A1]

    Converts this general sequence to an indexed sequence.

    Converts this general sequence to an indexed sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      an indexed sequence containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

74. #### abstract def toIterable: GenIterable[B]

    Converts this general sequence to an iterable collection.

    Converts this general sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

    Note: will not terminate for infinite-sized collections.

    returns

      an `Iterable` containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

75. #### abstract def toIterator: Iterator[B]

    Returns an Iterator over the elements in this general sequence.

    Returns an Iterator over the elements in this general sequence. Will return the same Iterator if this instance is already an Iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      an Iterator containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

76. #### abstract def toList: List[B]

    Converts this general sequence to a list.

    Converts this general sequence to a list.

    Note: will not terminate for infinite-sized collections.

    returns

      a list containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

77. #### abstract def toMap[K, V](implicit ev: <:<[B, (K, V)]): GenMap[K, V]

    Converts this general sequence to a map.

    Converts this general sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

78. #### abstract def toSeq: GenSeq[B]

    Converts this general sequence to a sequence.

    Converts this general sequence to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

    Note: will not terminate for infinite-sized collections.

    returns

      a sequence containing all elements of this general sequence.

    Definition Classes
      GenSeqLike → GenTraversableOnce

79. #### abstract def toSet[A1 >: B]: GenSet[A1]

    Converts this general sequence to a set.

    Converts this general sequence to a set.

    Note: will not terminate for infinite-sized collections.

    returns

      a set containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

80. #### abstract def toStream: Stream[B]

    Converts this general sequence to a stream.

    Converts this general sequence to a stream.

    Note: will not terminate for infinite-sized collections.

    returns

      a stream containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

81. #### abstract def toTraversable: GenTraversable[B]

    Converts this general sequence to an unspecified Traversable.

    Converts this general sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

    Note: will not terminate for infinite-sized collections.

    returns

      a Traversable containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

82. #### abstract def updated[B >: B, That](index: Int, elem: B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    A copy of this general sequence with one single replaced element.

    A copy of this general sequence with one single replaced element.

    B

      the element type of the returned general sequence.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    index

      the position of the replacement

    elem

      the replacing element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new general sequence`which is a copy of this general sequence with the element at position` index`replaced by` elem`.`

    Definition Classes
      GenSeqLike

83. #### abstract def zip[A1 >: B, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[GenSeqView[B, Coll], (A1, B), That]): That

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs.

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    A1

      the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

    B

      the type of the second half of the returned pairs

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

    that

      The iterable providing the second half of each result pair

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

    returns

      a new collection of type `That` containing pairs consisting of corresponding elements of this general sequence and `that`. The length of the returned collection is the minimum of the lengths of this general sequence and `that`.

    Definition Classes
      GenIterableLike

84. #### abstract def zipAll[B, A1 >: B, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[GenSeqView[B, Coll], (A1, B), That]): That

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs.

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    that

      the iterable providing the second half of each result pair

    thisElem

      the element to be used to fill up the result if this general sequence is shorter than `that`.

    thatElem

      the element to be used to fill up the result if `that` is shorter than this general sequence.

    returns

      a new collection of type `That` containing pairs consisting of corresponding elements of this general sequence and `that`. The length of the returned collection is the maximum of the lengths of this general sequence and `that`. If this general sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this general sequence, `thatElem` values are used to pad the result.

    Definition Classes
      GenIterableLike

85. #### abstract def zipWithIndex[A1 >: B, That](implicit bf: CanBuildFrom[GenSeqView[B, Coll], (A1, Int), That]): That

    Zips this general sequence with its indices.

    Zips this general sequence with its indices.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    A1

      the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

    returns

      A new collection of type `That` containing pairs consisting of all elements of this general sequence paired with their index. Indices start at `0`.

    Definition Classes
      GenIterableLike

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### abstract def ++[B](that: GenTraversableOnce[B]): GenSeq[B]

   [use case] Returns a new general sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new general sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the general sequence is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this general sequence followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

5. #### abstract def +:(elem: B): GenSeq[B]

   [use case] A copy of the general sequence with an element prepended.

   [use case]

   A copy of the general sequence with an element prepended.

   elem

     the prepended element

   returns

     a new collection of type `That` consisting of `elem` followed by all elements of this general sequence.

   Definition Classes
     GenSeqLike

6. #### def /:\[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

            scala> val a = LinkedList(1,2,3,4)
            a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

            scala> val b = (a /:\ 5)(_+_)
            b: Int = 15

   Definition Classes
     GenTraversableOnce

7. #### abstract def :+(elem: B): GenSeq[B]

   [use case] A copy of this general sequence with an element appended.

   [use case]

   A copy of this general sequence with an element appended.

   elem

     the appended element

   returns

     a new collection of type `That` consisting of all elements of this general sequence followed by `elem`.

   Definition Classes
     GenSeqLike

8. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

10. #### def apply(idx: Int): B

    Selects an element by its index in the general sequence.

    Selects an element by its index in the general sequence.

    Example:

           scala> val x = LinkedList(1, 2, 3, 4, 5)
           x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

           scala> x(3)
           res1: Int = 4

    idx

      The index to select.

    returns

      the element of this general sequence at index `idx`, where `0` indicates the first element.

    Definition Classes
      FlatMapped → Transformed → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### abstract def collect[B](pf: PartialFunction[B, B]): GenSeq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this general sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this general sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the general sequence.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

14. #### def companion: GenericCompanion[GenSeq]

    The factory companion object that builds instances of class GenSeq.

    The factory companion object that builds instances of class GenSeq. (or its `Iterable` superclass where class GenSeq is not a `Seq`.)

    Definition Classes
      GenSeq → GenIterable → GenTraversable → GenericTraversableTemplate

15. #### abstract def copyToArray(xs: Array[B], start: Int): Unit

    [use case] Copies values of this general sequence to an array.

    [use case]

    Copies values of this general sequence to an array. Fills the given array `xs` with values of this general sequence, beginning at index `start`. Copying will stop once either the end of the current general sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

16. #### abstract def copyToArray(xs: Array[B]): Unit

    [use case] Copies values of this general sequence to an array.

    [use case]

    Copies values of this general sequence to an array. Fills the given array `xs` with values of this general sequence. Copying will stop once either the end of the current general sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

17. #### abstract def diff(that: GenSeq[B]): GenSeq[B]

    [use case] Computes the multiset difference between this general sequence and another sequence.

    [use case]

    Computes the multiset difference between this general sequence and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this general sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      GenSeqLike

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### def findRow(idx: Int, lo: Int, hi: Int): Int

    Attributes
      protected[this]

22. #### abstract def flatMap[B](f: (B) ⇒ GenTraversableOnce[B]): GenSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this general sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this general sequence and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this general sequence and concatenating the results.

    Definition Classes
      GenTraversableLike

23. #### abstract def flatten[B]: GenSeq[B]

    [use case] Converts this general sequence of traversable collections into a general sequence formed by the elements of these traversable collections.

    [use case]

    Converts this general sequence of traversable collections into a general sequence formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new general sequence resulting from concatenating all element general sequences.

    Definition Classes
      GenericTraversableTemplate

24. #### def flatten[B](implicit asTraversable: (B) ⇒ TraversableOnce[B]): GenSeq[B]

    Converts this general sequence of traversable collections into a general sequence formed by the elements of these traversable collections.

    Converts this general sequence of traversable collections into a general sequence formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of general sequence. For example:

         val xs = List(Set(1, 2, 3), Set(1, 2, 3))
         // xs == List(1, 2, 3, 1, 2, 3)

         val ys = Set(List(1, 2, 3), List(3, 2, 1))
         // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this general sequence is a `Traversable`.

    returns

      a new general sequence resulting from concatenating all element general sequences.

    Definition Classes
      GenericTraversableTemplate

25. #### abstract def foreach(f: (B) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this general sequence.

    [use case]

    Applies a function `f` to all elements of this general sequence.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      GenericTraversableTemplate

26. #### def foreach[U](f: (B) ⇒ U): Unit

    Applies a function `f` to all elements of this general sequence.

    Applies a function `f` to all elements of this general sequence.

    U

      the type parameter describing the result of function `f`. This result will always be ignored. Typically `U` is `Unit`, but this is not necessary.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Transformed → Transformed → GenericTraversableTemplate → GenTraversableLike → GenTraversableOnce

27. #### def genericBuilder[B]: Builder[B, GenSeq[B]]

    The generic builder that builds instances of GenSeq at arbitrary element types.

    The generic builder that builds instances of GenSeq at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

28. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

29. #### def hashCode(): Int

    Hashcodes for GenSeq produce a value from the hashcodes of all the elements of the general sequence.

    Hashcodes for GenSeq produce a value from the hashcodes of all the elements of the general sequence.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → AnyRef → Any

30. #### def head: B

    Definition Classes
      GenIterableLike → GenTraversableLike

31. #### lazy val index: Array[Int]

    Attributes
      protected[this]

32. #### abstract def indexOf(elem: B, from: Int): Int

    [use case] Finds index of first occurrence of some value in this general sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this general sequence after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

33. #### def indexOf[B >: B](elem: B, from: Int): Int

    Finds index of first occurrence of some value in this general sequence after or at some start index.

    Finds index of first occurrence of some value in this general sequence after or at some start index.

    Note: may not terminate for infinite-sized collections.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

34. #### abstract def indexOf(elem: B): Int

    [use case] Finds index of first occurrence of some value in this general sequence.

    [use case]

    Finds index of first occurrence of some value in this general sequence.

    elem

      the element value to search for.

    returns

      the index of the first element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

35. #### def indexOf[B >: B](elem: B): Int

    Finds index of first occurrence of some value in this general sequence.

    Finds index of first occurrence of some value in this general sequence.

    Note: may not terminate for infinite-sized collections.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index of the first element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

36. #### def indexWhere(p: (B) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

37. #### abstract def intersect(that: GenSeq[B]): GenSeq[B]

    [use case] Computes the multiset intersection between this general sequence and another sequence.

    [use case]

    Computes the multiset intersection between this general sequence and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new collection of type `That` which contains all elements of this general sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      GenSeqLike

38. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this general sequence contains given index.

    Tests whether this general sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this general sequence contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

39. #### def isEmpty: Boolean

    Tests whether the general sequence is empty.

    Tests whether the general sequence is empty.

    returns

      `true` if the general sequence contains no elements, `false` otherwise.

    Definition Classes
      GenIterableLike → GenTraversableOnce

40. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

41. #### final def isTraversableAgain: Boolean

    Tests whether this general sequence can be repeatedly traversed.

    Tests whether this general sequence can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

42. #### def iterator: Iterator[B]

    Definition Classes
      FlatMapped → Transformed → GenIterableLike

43. #### abstract def lastIndexOf(elem: B, end: Int): Int

    [use case] Finds index of last occurrence of some value in this general sequence before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this general sequence before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

44. #### def lastIndexOf[B >: B](elem: B, end: Int): Int

    Finds index of last occurrence of some value in this general sequence before or at a given end index.

    Finds index of last occurrence of some value in this general sequence before or at a given end index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

45. #### abstract def lastIndexOf(elem: B): Int

    [use case] Finds index of last occurrence of some value in this general sequence.

    [use case]

    Finds index of last occurrence of some value in this general sequence.

    elem

      the element value to search for.

    returns

      the index of the last element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

46. #### def lastIndexOf[B >: B](elem: B): Int

    Finds index of last occurrence of some value in this general sequence.

    Finds index of last occurrence of some value in this general sequence.

    Note: will not terminate for infinite-sized collections.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index of the last element of this general sequence that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

47. #### def lastIndexWhere(p: (B) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

48. #### def length: Int

    The length of the general sequence.

    The length of the general sequence.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.length` and `xs.size` yield the same result.

    returns

      the number of elements in this general sequence.

    Definition Classes
      FlatMapped → Transformed → GenSeqLike

49. #### abstract def map[B](f: (B) ⇒ B): GenSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this general sequence.

    [use case]

    Builds a new collection by applying a function to all elements of this general sequence.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this general sequence and collecting the results.

    Definition Classes
      GenTraversableLike

50. #### abstract def max: B

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this general sequence with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

51. #### abstract def min: B

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this general sequence with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

52. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

53. #### def newBuilder: Builder[B, GenSeq[B]]

    The builder that builds instances of type GenSeq[A]

    The builder that builds instances of type GenSeq[A]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

54. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

55. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

56. #### abstract def padTo(len: Int, elem: B): GenSeq[B]

    [use case] A copy of this general sequence with an element value appended until a given target length is reached.

    [use case]

    A copy of this general sequence with an element value appended until a given target length is reached.

    len

      the target length

    elem

      the padding value

    returns

      a new collection of type `That` consisting of all elements of this general sequence followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

    Definition Classes
      GenSeqLike

57. #### def par: ParSeq[B]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

58. #### abstract def patch(from: Int, that: GenSeq[B], replaced: Int): GenSeq[B]

    [use case] Produces a new general sequence where a slice of elements in this general sequence is replaced by another sequence.

    [use case]

    Produces a new general sequence where a slice of elements in this general sequence is replaced by another sequence.

    from

      the index of the first replaced element

    replaced

      the number of elements to drop in the original general sequence

    returns

      a new general sequence consisting of all elements of this general sequence except that `replaced` elements starting from `from` are replaced by `patch`.

    Definition Classes
      GenSeqLike

59. #### def prefixLength(p: (B) ⇒ Boolean): Int

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the length of the longest prefix of this general sequence such that every element of the segment satisfies the predicate `p`.

    Definition Classes
      GenSeqLike

60. #### abstract def product: B

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements of this general sequence with respect to the `*` operator in `num`.

    Definition Classes
      GenTraversableOnce

61. #### abstract def reverseMap[B](f: (B) ⇒ B): GenSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this general sequence and collecting the results in reversed order.

    [use case]

    Builds a new collection by applying a function to all elements of this general sequence and collecting the results in reversed order.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this general sequence and collecting the results in reversed order.

      Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

    Definition Classes
      GenSeqLike

62. #### abstract def sameElements(that: GenIterable[B]): Boolean

    [use case] Checks if the other iterable collection contains the same elements in the same order as this general sequence.

    [use case]

    Checks if the other iterable collection contains the same elements in the same order as this general sequence.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      GenIterableLike

63. #### def startsWith[B](that: GenSeq[B]): Boolean

    Tests whether this general sequence starts with the given sequence.

    Tests whether this general sequence starts with the given sequence.

    that

      the sequence to test

    returns

      `true` if this collection has `that` as a prefix, `false` otherwise.

    Definition Classes
      GenSeqLike

64. #### def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this general sequence. By default the string prefix is the simple name of the collection class general sequence.

    Definition Classes
      Transformed → GenTraversableLike

65. #### abstract def sum: B

    [use case] Sums up the elements of this collection.

    [use case]

    Sums up the elements of this collection.

    returns

      the sum of all elements of this general sequence with respect to the `+` operator in `num`.

    Definition Classes
      GenTraversableOnce

66. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

67. #### def tail: GenSeqView[B, Coll]

    Selects all elements except the first.

    Selects all elements except the first.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general sequence consisting of all elements of this general sequence except the first one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the general sequence is empty.

68. #### abstract def toArray: Array[B]

    [use case] Converts this general sequence to an array.

    [use case]

    Converts this general sequence to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

69. #### abstract def toMap[T, U]: Map[T, U]

    [use case] Converts this general sequence to a map.

    [use case]

    Converts this general sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map containing all elements of this general sequence.

    Definition Classes
      GenTraversableOnce

70. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Transformed → Transformed → Transformed → AnyRef → Any

71. #### def transpose[B](implicit asTraversable: (B) ⇒ GenTraversableOnce[B]): GenSeq[GenSeq[B]]

    Transposes this general sequence of traversable collections into a general sequence of general sequences.

    Transposes this general sequence of traversable collections into a general sequence of general sequences.

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this general sequence is a `Traversable`.

    returns

      a two-dimensional general sequence of general sequences which has as nth row the nth column of this general sequence.

    Definition Classes
      GenericTraversableTemplate
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

    Exceptions thrown
      `IllegalArgumentException`

      if all collections in this general sequence are not of the same size.

72. #### lazy val underlying: Coll

    Definition Classes
      Transformed → GenTraversableViewLike

73. #### abstract def union(that: GenSeq[B]): GenSeq[B]

    [use case] Produces a new sequence which contains all elements of this general sequence and also all elements of a given sequence.

    [use case]

    Produces a new sequence which contains all elements of this general sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to add.

    returns

      a new collection of type `That` which contains all elements of this general sequence followed by all elements of `that`.

    Definition Classes
      GenSeqLike

74. #### def union[B >: B, That](that: GenSeq[B])(implicit bf: CanBuildFrom[GenSeqView[B, Coll], B, That]): That

    Produces a new sequence which contains all elements of this general sequence and also all elements of a given sequence.

    Produces a new sequence which contains all elements of this general sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

    Note: will not terminate for infinite-sized collections.

    Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

    Note: will not terminate for infinite-sized collections.

    B

      the element type of the returned general sequence.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the sequence to add.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this general sequence followed by all elements of `that`.

    Definition Classes
      GenSeqLike

75. #### def unzip[A1, A2](implicit asPair: (B) ⇒ (A1, A2)): (GenSeq[A1], GenSeq[A2])

    Converts this general sequence of pairs into two collections of the first and second half of each pair.

    Converts this general sequence of pairs into two collections of the first and second half of each pair.

    asPair

      an implicit conversion which asserts that the element type of this general sequence is a pair.

    returns

      a pair general sequences, containing the first, respectively second half of each element pair of this general sequence.

    Definition Classes
      GenericTraversableTemplate

76. #### def unzip3[A1, A2, A3](implicit asTriple: (B) ⇒ (A1, A2, A3)): (GenSeq[A1], GenSeq[A2], GenSeq[A3])

    Converts this general sequence of triples into three collections of the first, second, and third element of each triple.

    Converts this general sequence of triples into three collections of the first, second, and third element of each triple.

    asTriple

      an implicit conversion which asserts that the element type of this general sequence is a triple.

    returns

      a triple general sequences, containing the first, second, respectively third member of each element triple of this general sequence.

    Definition Classes
      GenericTraversableTemplate

77. #### abstract def updated(index: Int, elem: B): GenSeq[B]

    [use case] A copy of this general sequence with one single replaced element.

    [use case]

    A copy of this general sequence with one single replaced element.

    index

      the position of the replacement

    elem

      the replacing element

    returns

      a new general sequence`which is a copy of this general sequence with the element at position` index`replaced by` elem`.`

    Definition Classes
      GenSeqLike

78. #### final def viewIdString: String

    Attributes
      protected[this]
    Definition Classes
      Transformed → GenTraversableViewLike

79. #### final def viewIdentifier: String

    Attributes
      protected[this]
    Definition Classes
      FlatMapped → GenTraversableViewLike

80. #### def viewToString: String

    Definition Classes
      GenTraversableViewLike

81. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

82. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

83. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

84. #### abstract def zip[B](that: GenIterable[B]): GenSeq[(B, B)]

    [use case] Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    returns

      a new collection of type `That` containing pairs consisting of corresponding elements of this general sequence and `that`. The length of the returned collection is the minimum of the lengths of this general sequence and `that`.

    Definition Classes
      GenIterableLike

85. #### abstract def zipAll[B](that: Iterable[B], thisElem: B, thatElem: B): GenSeq[(B, B)]

    [use case] Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general sequence formed from this general sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

    that

      the iterable providing the second half of each result pair

    thisElem

      the element to be used to fill up the result if this general sequence is shorter than `that`.

    thatElem

      the element to be used to fill up the result if `that` is shorter than this general sequence.

    returns

      a new collection of type `That` containing pairs consisting of corresponding elements of this general sequence and `that`. The length of the returned collection is the maximum of the lengths of this general sequence and `that`. If this general sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this general sequence, `thatElem` values are used to pad the result.

    Definition Classes
      GenIterableLike

86. #### abstract def zipWithIndex: GenSeq[(B, Int)]

    [use case] Zips this general sequence with its indices.

    [use case]

    Zips this general sequence with its indices.

    returns

      A new collection of type `That` containing pairs consisting of all elements of this general sequence paired with their index. Indices start at `0`.

    Definition Classes
      GenIterableLike

### Inherited from Transformed[B]

### Inherited from GenSeqView[B, Coll]

### Inherited from GenSeqViewLike[B, Coll, GenSeqView[B, Coll]]

### Inherited from GenSeq[B]

### Inherited from GenSeqLike[B, GenSeqView[B, Coll]]

### Inherited from Equals

### Inherited from FlatMapped[B]

### Inherited from Transformed[B]

### Inherited from GenIterableView[B, Coll]

### Inherited from GenIterableViewLike[B, Coll, GenSeqView[B, Coll]]

### Inherited from GenIterable[B]

### Inherited from GenIterableLike[B, GenSeqView[B, Coll]]

### Inherited from FlatMapped[B]

### Inherited from Transformed[B]

### Inherited from GenTraversableView[B, Coll]

### Inherited from GenTraversableViewLike[B, Coll, GenSeqView[B, Coll]]

### Inherited from GenTraversable[B]

### Inherited from GenericTraversableTemplate[B, GenSeq]

### Inherited from HasNewBuilder[B, GenSeq[B]]

### Inherited from GenTraversableLike[B, GenSeqView[B, Coll]]

### Inherited from Parallelizable[B, ParSeq[B]]

### Inherited from GenTraversableOnce[B]

### Inherited from AnyRef

### Inherited from Any